<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<ComLib.CMS.Models.Widgets.Login>" %>
<%@ Import Namespace="ComLib.Web.Modules.Links" %>
<%@ Import Namespace="ComLib.Web.Modules.Widgets" %>
<%@ Import Namespace="ComLib.Data" %>

<div id="widget_<%= Model.Id %>_msg"></div>
<p>
    User:<br />
    <input type="text" id="w_user" />
</p>
<p>
    Password:<br />
    <input type="password" id="w_password" />
</p>
<p>
    <%= Html.CheckBox("rememberMe") %> <label class="inline" for="rememberMe">Remember me?</label>
    <%= Html.ActionLink("Forgot Password", "ForgotPassword", "Account") %>
</p>
<p>
    <input type="button" class="action" value="Log On" onclick="WDoLogin();" />
</p>

<script type="text/javascript">
    function WDoLogin() {
        var messageDivId = "#widget_<%= Model.Id %>_msg";
        // 1. Clear any errors first.
        $(messageDivId).html("");

        // 2. Get user and password.
        var user = $("#w_user").val();
        var password = $("#w_password").val();

        var errors = [];
        if (user == null || user == "" || user == undefined)
            errors.push("User name is required");
        if (password == null || password == "" || password == undefined)
            errors.push("Password is required");

        if (errors.length > 0) {
            $(messageDivId).html(errors[0]);
            return;
        }

        var result = true;
        var resultMsg = "";
        var url = "<%= Model.LoginUrl %>" + "userName=" + escape(user) + "&password=" + escape(password) + "&rememberMe=false";
        AjaxHelper.SendActionAndCallback(url, function (result) {
            if (result.Success) {
                $("#widget_<%= Model.Id %>").hide('blind', null, "slow", null);
                var info = "Welcome <b>admin</b>&nbsp;&nbsp;&nbsp;&nbsp;<br /><br />"
                         + '<a class="dashboardlink" href="/admin/console/home" >Dashboard</a>&nbsp;&nbsp;&nbsp;&nbsp;<a href="/account/logoff">Log Off</a>&nbsp;&nbsp;&nbsp;&nbsp;';
                $("#login").html(info);
            }
            else {
                $(messageDivId).html(result.Message);
            }
        });
        
    }
</script>