﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ComLib.Web.Lib.Services.Widgets
{
    /// <summary>
    /// Marker interface for refreshing.
    /// </summary>
    public interface IEnableCache
    {
        /// <summary>
        /// Whether or not to enable the cache.
        /// </summary>
        bool EnableCache { get; set; }


        /// <summary>
        /// The cache key to use.
        /// </summary>
        string CacheKey { get; set; }


        /// <summary>
        /// The cache time in seconds.
        /// </summary>
        int CacheTimeSeconds { get; set; }
    }
}
