﻿using System;
using System.ComponentModel.DataAnnotations;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Text;

using ComLib.Queue;
using ComLib.Web.Modules.Tags;
using ComLib.Scheduling.Tasks;


namespace ComLib.CMS.Models.Tasks
{

    /// <summary>
    /// BlogRoll Widget
    /// </summary>
    [Task(Name = "ProcessTags", DisplayName = "Process Tags", Description = "Stores tags applied to an entity(post, event, etc)", Repeat = true, Interval = 20, SortIndex = 5)]
    public class ProcessTags : ITask
    {
        /// <summary>
        /// Process the tags.
        /// </summary>
        public void Process()
        {
            Queues.Process<TagsEntry>();
        }
    }
}
